My Project: TemplateVector< T > Class Template Reference

My Project

Public Member Functions | Public Attributes | List of all members
TemplateVector< T > Class Template Reference

`#include <dVector.h>`

## Public Member Functions

| TemplateVector ()
| TemplateVector (const T *ptr)
| TemplateVector (T m_x, T m_y, T m_z, T m_w)
TemplateVector | Scale (T s) const
T & | operator[] (int i)
const T & | operator[] (int i) const
TemplateVector | operator+ (const TemplateVector &A) const
TemplateVector | operator- (const TemplateVector &A) const
TemplateVector & | operator+= (const TemplateVector &A)
TemplateVector & | operator-= (const TemplateVector &A)
T | operator% (const TemplateVector &A) const
TemplateVector | operator* (const TemplateVector &B) const
TemplateVector | CompProduct (const TemplateVector &A) const

## Public Attributes

T | m_x
T | m_y
T | m_z
T | m_w

## Constructor & Destructor Documentation

## § TemplateVector() [1/3]

template<class T >

TemplateVector< T >::TemplateVector | ( |  | ) |

## § TemplateVector() [2/3]

template<class T>

TemplateVector< T >::TemplateVector | ( | const T * | ptr | ) |

## § TemplateVector() [3/3]

template<class T>

TemplateVector< T >::TemplateVector | ( | T | m_x,
|  | T | m_y,
|  | T | m_z,
|  | T | m_w
| ) |  |

## Member Function Documentation

## § CompProduct()

template<class T >

TemplateVector< T > TemplateVector< T >::CompProduct | ( | const TemplateVector< T > & | A | ) | const

## § operator%()

template<class T >

T TemplateVector< T >::operator% | ( | const TemplateVector< T > & | A | ) | const

## § operator*()

template<class T >

TemplateVector< T > TemplateVector< T >::operator* | ( | const TemplateVector< T > & | B | ) | const

## § operator+()

template<class T >

TemplateVector< T > TemplateVector< T >::operator+ | ( | const TemplateVector< T > & | A | ) | const

## § operator+=()

template<class T >

TemplateVector< T > & TemplateVector< T >::operator+= | ( | const TemplateVector< T > & | A | ) |

## § operator-()

template<class T >

TemplateVector< T > TemplateVector< T >::operator- | ( | const TemplateVector< T > & | A | ) | const

## § operator-=()

template<class T >

TemplateVector< T > & TemplateVector< T >::operator-= | ( | const TemplateVector< T > & | A | ) |

## § operator[]() [1/2]

template<class T >

T & TemplateVector< T >::operator[] | ( | int | i | ) |

## § operator[]() [2/2]

template<class T >

const T & TemplateVector< T >::operator[] | ( | int | i | ) | const

## § Scale()

template<class T>

TemplateVector< T > TemplateVector< T >::Scale | ( | T | s | ) | const

## Member Data Documentation

## § m_w

template<class T>

T TemplateVector< T >::m_w

## § m_x

template<class T>

T TemplateVector< T >::m_x

## § m_y

template<class T>

T TemplateVector< T >::m_y

## § m_z

template<class T>

T TemplateVector< T >::m_z

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/packages/dMath/dVector.h